package com.nbclass.szxgl.mapper;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.nbclass.szxgl.model.Project;
import com.nbclass.util.MyMapper;

public interface ProjectMapper extends MyMapper<Project> {
	
	public List<Project> getList(Project project);

	public Project findById(String id);
	
	
	/**
	 * 根据部门ID，递归查询所有子部门ID
	 * @param deptId
	 * @return
	 */
	public String queryDeptIdsByDeptId(String deptId);
	
	/**
	 * 根据部门IDs查询所有用户ID
	 * @param list
	 * @return 
	 */
	public String queryUserIdsByDeptIds(List<Integer> list);
	
	public List<Map> findProductById(String id);

	/**
	 * 根据项目id，更新状态
	 * @param id
	 * @param contractno
	 * @param status
	 * @return
	 */
	public void updateProjectStatus(String setuptime,String id, String contractno, int status, String updatetime);
	
}